Bug 101347 - XFree86 4.2.1-21 crashes with signal 11 and restartes after that
XFree86 4.2.1-21 crashes with signal 11 and restartes after that
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 21:52 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 12:35:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.log (10.43 KB, text/plain)
2003-08-04 15:29 EDT, Need Real Name
no flags Details
XF86Config (3.23 KB, text/plain)
2003-08-04 15:30 EDT, Need Real Name
no flags Details
XFree86.log file (37.29 KB, text/plain)
2003-09-09 19:48 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-07-30 21:52:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:

after installing Free86-4.2.1-21 rpms X started to crash at random
(with and without xscreensaver), mostly with matlab plots.
crashes on Nvidia and Matrox video cards and 2 different 
pcs, so not likely be a hardware/driver problem. 

messages file:


  gdm[804]: gdm_slave_xioerror_handler: Fatal X error - Restarting :0

/var/log/XFree86.0.log:

GetModeLine - scrn: 0 clock: 157500
GetModeLine - hdsp: 1280 hbeg: 1344 hend: 1504 httl: 1728
              vdsp: 1024 vbeg: 1025 vend: 1028 vttl: 1072 flags: 5

Fatal server error:
Caught signal 11.  Server aborting



Version-Release number of selected component (if applicable):
XFree86 4.2.1-21

How reproducible:
Sometimes

Steps to Reproduce:
1.start matlab scripts with making plots 
2.takes several hours to crash the system
3.
    

Additional info:
Comment 1 Mike A. Harris 2003-08-03 17:54:30 EDT
Please attach your X server log file and config file to the bug report using the
bugzilla file attachment feature.  Also attach your kernel log file.  Once this
information is available, someone can examine it for clues.  Be sure that the log
file attached is from after the problem occurs, by backing up a copy while X is
not running.

I don't have access to Matlab, so I'll need your assistance to try and narrow
this down to something troubleshootable.
Comment 2 Need Real Name 2003-08-04 15:29:39 EDT
Created attachment 93382 [details]
XFree86.log
Comment 3 Need Real Name 2003-08-04 15:30:17 EDT
Created attachment 93383 [details]
XF86Config
Comment 4 Mike A. Harris 2003-08-12 04:28:35 EDT
the log file you've attached is incomplete and appears to be captured via
shell redirection. Please attach /var/log/XFree86.0.log

Also, you didn't attach the kernel log file, please attach /var/log/messages

TIA
Comment 5 Need Real Name 2003-09-09 19:48:38 EDT
Created attachment 94355 [details]
XFree86.log file


full Xfree86.log
Comment 6 Burt Holzman 2004-03-15 09:29:39 EST
Mike,

I don't know if this is useful given that RH 8 has hit EOL, but:

We're seeing similar behavior (and similar logfiles) on an SMP system
running XFree86-4.2.1-23.  Running some of our code based on ROOT
(http://root.cern.ch) eventually causes a signal 11 to be caught by
the server.  I'm going to upgrade the kernel and try and create a
reproducible executable if you guys are interested.

- B
Comment 7 Mike A. Harris 2004-03-15 12:35:46 EST
Hi Burt,

Thanks for your bug update.  Unfortunately, as you mention above,
Red Hat Linux 8.0 has reached it's supported end of life cycle.
The products that we currently support, have XFree86 4.3.0 (in the
case of Red Hat Enterprise Linux 3, Red Hat Linux 9, and Fedora
Core 1), or XFree86 4.1.0 in the case of Red Hat Enterprise
Linux 2.1 and Red Hat Advanced Server 2.1.

My recommendation for an officially supported solution, would be
if possible, to upgrade to one of our OS products/projects from
the above, which ships with XFree86 4.3.0 and see if the problem
is resolved in one of these newer OS releases.

Red Hat Linux 9 will also be going end of life fairly soon, at
the end of April if I recall correctly, so if you'd like to just
test 4.3.0 out to see if it works effectively, Fedora Core 1 might
be the best option for testing purposes in the short term.  Long
term, Red Hat Enterprise Linux 3 may turn out to be a more
effective solution path for you, as the support life cycle of
the RHEL 3 line of products is 5 years from the initial
date of release.

I'm going to set the status of the report to "WONTFIX" for now,
because this OS release is not supported any longer, however if
you are able to reproduce this problem still under one of the
supported OS releases with XFree86 4.3.0, please reopen the report
and we can re-examine the issue in greater detail.

Thanks again for the feedback Burt.


Note You need to log in before you can comment on or make changes to this bug.